%m012
%visualización progresiva en planos de bits
clear
A=imread('_im_lenna_256.jpg');
[nf nc]=size(A);
A=double(A);

%visualiza sin Toolbox de Imagenes
colormap(gray(256));
image(A);
disp('Presione una tecla para mostrar planos de bits...');pause

C=zeros(nf,nc);

for bit=1:+1:8
   pb=2^(bit-1)
	for f=1:nf
	   for c=1:nc
	      aux=bitand(A(f,c),pb);
         B(f,c)=bitget(aux,bit);
         C(f,c)=bitor(C(f,c),aux);
	   end;%for
	end;%for
   image(C);
   pause(1);
end;
